## Get All Target Configuration for Tenant

### cURL

```
curl --request GET \
  --url https://prod01.oms.fabric.inc/api/v2/configurations/target-config \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'
```

### Python

```
import requests

url = "https://prod01.oms.fabric.inc/api/v2/configurations/target-config"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {
  method: 'GET',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://prod01.oms.fabric.inc/api/v2/configurations/target-config', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Responses

- **200**  
  application/json  
  Target Configuration updated.

```json
[
  {
    "serviceName": "order-service",
    "processName": "order-create",
    "tenantId": "asferf3r4safasdcd",
    "targetService": [
      {
        "serviceName": "NOTIFICATION_SERVICE",
        "serviceAttributes": {}
      }
    ]
  }
]
```

- **400**

```json
{
  "message": "Bad Request"
}
```

- **404**

```json
{
  "message": "Target Config not Found"
}
```

- **500**

```json
{
  "message": "Internal Server Error"
}
```

### Authorization

Authorization

- **Type**: string  
- **Location**: header  
- **Required**: Yes

Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Headers

- **x-site-context**: string
  - **Required**: Yes  
  - A JSON object containing information about the source you wish to pull from.

Example:

```json
{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}
```

### Response Schema

- **serviceName**: string  
- **processName**: string  
- **tenantId**: string (example: `"asferf3r4safasdcd"`)
- **targetService**: object[]
